> For the complete documentation index, see [llms.txt](https://developer.barchart.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.barchart.com/getting-started/subscription-types/regional-participant-quotes.md).

# Regional/Participant Quotes

Subscribe to `QUOTE_PARTICIPANT` to receive regional or participant best bid and offer (BBO) updates. Each update identifies the quote originator and includes its bid, offer, quantity, and quote condition.

Use these updates to view the liquidity contributed by individual market participants or regions. The following messages show participant BBO updates for AAPL.

### Regional/participant best bid and offer message example

```protobuf
2022-02-02 19:54:52,408,INFO,Message: subscriptionResponse {
  status {
    result: SUCCESS
    service: REAL_TIME
  }
  symbol: "AAPL"
  marketId: 5389879102616877808
  channelId: 16
  subscriptionType: QUOTE_PARTICIPANT
}

...

2022-02-02 19:54:52,411,INFO,Message: marketUpdate {
  marketId: 5389879102616877808
  symbol: "AAPL"
  transactionTime: 1643831692111003392
  distributionTime: 1643831692111348307
  marketSequence: 11627547
  originatorId: "P"
  bbo {
    bidPrice: 1752500
    bidQuantity: 3
    bidOriginator: "P"
    offerPrice: 1752600
    offerQuantity: 2
    offerOriginator: "P"
    quoteCondition: "R"
    regional: true
  }
}

2022-02-02 19:54:52,411,INFO,Message: marketUpdate {
  marketId: 5389879102616877808
  symbol: "AAPL"
  transactionTime: 1643831692111186000
  distributionTime: 1643831692111379737
  marketSequence: 11627548
  originatorId: "K"
  bbo {
    bidPrice: 1752500
    bidQuantity: 1
    bidOriginator: "K"
    offerPrice: 1752600
    offerQuantity: 1
    offerOriginator: "K"
    quoteCondition: "R"
    regional: true
  }
}

2022-02-02 19:54:52,412,INFO,Message: marketUpdate {
  marketId: 5389879102616877808
  symbol: "AAPL"
  transactionTime: 1643831692111226000
  distributionTime: 1643831692111415534
  marketSequence: 11627549
  originatorId: "K"
  bbo {
    bidPrice: 1752400
    bidQuantity: 5
    bidOriginator: "K"
    offerPrice: 1752600
    offerQuantity: 1
    offerOriginator: "K"
    quoteCondition: "R"
    regional: true
  }
}

2022-02-02 19:54:52,412,INFO,Message: marketUpdate {
  marketId: 5389879102616877808
  symbol: "AAPL"
  transactionTime: 1643831692111546200
  distributionTime: 1643831692111561806
  marketSequence: 11627550
  originatorId: "Q"
  bbo {
    bidPrice: 1752500
    bidQuantity: 3
    bidOriginator: "Q"
    offerPrice: 1752600
    offerQuantity: 3
    offerOriginator: "Q"
    quoteCondition: "R"
    regional: true
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.barchart.com/getting-started/subscription-types/regional-participant-quotes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
